apiVersion: apps/v1
kind: StatefulSet
metadata:
  labels:
    app.kubernetes.io/name: postgres
    app.kubernetes.io/org: org-2
  name: postgres
  namespace: org-2
spec:
  replicas: 1
  serviceName: "postgres"
  selector:
    matchLabels:
      app.kubernetes.io/name: postgres
      app.kubernetes.io/org: org-2
  template:
    metadata:
      labels:
        app.kubernetes.io/name: postgres
        app.kubernetes.io/org: org-2
    spec:
      containers:
      - env:
        - name: POSTGRESQL_PASSWORD
          value: 1qaz!QAZ
        - name: POSTGRESQL_DATABASE
          value: fabric_ca
        image: bitnami/postgresql:12
        imagePullPolicy: Always
        name: postgres
        ports:
        - containerPort: 5432
          name: tcp-5432
          protocol: TCP
        resources: {}
        volumeMounts:
        - mountPath: /bitnami/postgresql
          name: db-data
  volumeClaimTemplates:
  - metadata:
      name: db-data
    spec:
      accessModes: [ "ReadWriteOnce" ]
      storageClassName: "local-path"
      resources:
        requests:
          storage: 5Gi
---
apiVersion: v1
kind: Service
metadata:
  name: postgres
  namespace: org-2
  labels:
    app.kubernetes.io/name: postgres
    app.kubernetes.io/org: org-2
spec:
  type: ClusterIP
  ports:
  - port: 5432
    name: tcp-5432
  selector:
    app.kubernetes.io/name: postgres
    app.kubernetes.io/org: org-2